> For the complete documentation index, see [llms.txt](https://docs.toomuchmedia.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.toomuchmedia.com/nats-admin/skins-and-templates/further-reading/template-functions/nats_display_stats_form.md).

# nats\_display\_stats\_form

*Article Topics:* [*Customization*](/getting-started/common-topics/customization.md)*,* [*Templates*](/getting-started/common-topics/templates.md)

Alias: display\_stats\_form

## Parameters

| Parameter                                                                                                       | Description                                                      | Possible Values                         | Default Value                      | Example                 |
| --------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------- | --------------------------------------- | ---------------------------------- | ----------------------- |
| period                                                                                                          | Display stats for this period                                    | 0 thorough 8; see *Notes* section below | 0                                  | period="8"              |
| start                                                                                                           | The period's start date                                          | Any date                                | Start of the current period        | start="1 January 2008"  |
| end                                                                                                             | The period's end date                                            | Any date                                | End of current period              | end="26 August 2008"    |
| [assign\_prefix](/nats-admin/skins-and-templates/further-reading/template-function-parameters/assign_prefix.md) | Prefix output variables with this word. (Click link for details) | Any valid Smarty variable name          | *None.* (No prefix is used)        | assign\_prefix="my VAR" |
| [data\_only](/nats-admin/skins-and-templates/further-reading/template-function-parameters/data_only.md)         | Set variables but don't display the template                     | 1                                       | *None.* The template is displayed. | data\_only=1            |

## Output

A form with fields for selecting sites, programs, and campaigns. Also outputs the following variables:

* period\_start
* period\_end
* view\_title
* countries
* country\_iso

## Notes

The *period* parameter, described above, takes a single numeric argument. The table below describes the valid arguments.

| # | Description |
| - | ----------- |
| 0 | This Period |
| 1 | Last Period |
| 2 | Today       |
| 3 | Yesterday   |
| 4 | This Week   |
| 5 | This Month  |
| 6 | This Year   |
| 7 | All Time    |
| 8 | Freeform    |

## See Also

* [nats\_display\_stats](/nats-admin/skins-and-templates/further-reading/template-functions/nats_display_stats.md) -- displays statistics based on the above criteria.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.toomuchmedia.com/nats-admin/skins-and-templates/further-reading/template-functions/nats_display_stats_form.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
